
{
  "models": [
    {
      "name": "DrawLog",
      "synchronizable": true,
      "sideStorable": true,
      "observable": true,
      "relationshipNames": [],
      "properties": [
        {
          "name": "id",
          "type": "String",
          "defaultValue": "Store.randomId()"
        },
        {
          "name": "tournament",
          "type": "String",
          "foreignKey": "Tournament"
        },
        {
          "name": "drawDate",
          "type": "Date",
          "defaultValue": "Date()"
        },
        {
          "name": "drawSeed",
          "type": "Int"
        },
        {
          "name": "drawMatchIndex",
          "type": "Int"
        },
        {
          "name": "drawTeamPosition",
          "type": "TeamPosition",
          "defaultValue": "TeamPosition.one"
        },
        {
          "name": "drawType",
          "type": "DrawType",
          "defaultValue": "DrawType.seed"
        }
      ]
    }
  ]
}
